summaryrefslogtreecommitdiffstats
path: root/src/daemon
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2006-02-16 21:37:20 +0000
committerLennart Poettering <lennart@poettering.net>2006-02-16 21:37:20 +0000
commitb56b9e50e027c22fc56c805d8d0cd10d99a4cd5b (patch)
tree05ba82ac9aa2fd4b8492c71eec9286fca1e0136f /src/daemon
parente205b25d65ccb380fa158711e24d55b6de5d9bc1 (diff)
* svn:ignore some files
* move configuration files to the directories they belong to * built esd-compat.sh in the src/ dir git-svn-id: file:///home/lennart/svn/public/pulseaudio/trunk@488 fefdeb5f-60dc-0310-8127-8f9354f1896f
Diffstat (limited to 'src/daemon')
-rw-r--r--src/daemon/daemon.conf.in77
-rwxr-xr-xsrc/daemon/default.pa.in66
-rw-r--r--src/daemon/default.pa.win3243
-rwxr-xr-xsrc/daemon/esdcompat.sh.in98
4 files changed, 284 insertions, 0 deletions
diff --git a/src/daemon/daemon.conf.in b/src/daemon/daemon.conf.in
new file mode 100644
index 00000000..d5373018
--- /dev/null
+++ b/src/daemon/daemon.conf.in
@@ -0,0 +1,77 @@
+# $Id$
+#
+# This file is part of polypaudio.
+#
+# polypaudio is free software; you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# polypaudio is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with polypaudio; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+
+## Configuration file for the polypaudio daemon. Default values are
+## commented out. Use either ; or # for commenting
+
+# Extra verbositiy
+; verbose = 0
+
+## Daemonize after startup
+; daemonize = 0
+
+## Quit if startup fails
+; fail = 1
+
+## Renice the daemon to level -15 and try to get SCHED_FIFO
+## scheduling. This a good idea if you hear annyoing noise in the
+## playback. However, this is a certain security issue, since it works
+## when called SUID root only. root is dropped immediately after gaining
+## the nice level and SCHED_FIFO scheduling on startup.
+; high-priority = 0
+
+## Disallow module loading after startup
+; disallow-module-loading = 0
+
+## Terminate the daemon after the last client quit and this time
+## passed. Use a negative value to disable this feature.
+; exit-idle-time = -1
+
+## Unload autoloaded modules after being idle for this time
+; module-idle-time = 20
+
+## The path were to look for dynamic shared objects (DSOs aka
+## plugins). You may specify more than one path seperated by
+## colons.
+; dl-search-path = @DLSEARCHPATH@
+
+## The default script file to load. Specify an empty string for not
+## loading a default script file. The
+; default-script-file = @DEFAULT_CONFIG_FILE@
+
+## The default log target. Use either "stderr", "syslog" or
+## "auto". The latter is equivalent to "sylog" in case daemonize is
+## true, otherwise to "stderr".
+; log-target = auto
+
+## The resampling algorithm to use. Use one of src-sinc-best-quality,
+## src-sinc-medium-quality, src-sinc-fastest, src-zero-order-hold,
+## src-linear, trivial. See the documentation of libsamplerate for an
+## explanation for the different methods. The method 'trivial' is the
+## only algorithm implemented without usage of floating point
+## numbers. If you're tight on CPU consider using this. On the other
+## hand it has the worst quality of all.
+; resample-method = sinc-fastest
+
+## Create a PID file in /tmp/polypaudio-$USER/pid. Of this is enabled
+## you may use commands like "polypaudio --kill" or "polypaudio
+## --check". If you are planning to start more than one polypaudio
+## process per user, you better disable this option since it
+## effectively disables multiple instances.
+; use-pid-file = 1
diff --git a/src/daemon/default.pa.in b/src/daemon/default.pa.in
new file mode 100755
index 00000000..3aaeeaf0
--- /dev/null
+++ b/src/daemon/default.pa.in
@@ -0,0 +1,66 @@
+#!@POLYPAUDIO_BINARY@ -nF
+
+#
+# This file is part of polypaudio.
+#
+# polypaudio is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# polypaudio is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with polypaudio; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+
+# Load audio drivers statically
+
+#load-module module-alsa-sink
+# load-module module-alsa-source device=plughw:1,0
+load-module module-oss device="/dev/dsp" sink_name=output source_name=input
+#load-module module-oss-mmap device="/dev/dsp" sink_name=output source_name=input
+load-module module-null-sink
+#load-module module-pipe-sink
+
+# Load audio drivers automatically on access
+
+#add-autoload-sink output module-oss device="/dev/dsp" sink_name=output source_name=input
+#add-autoload-source input module-oss device="/dev/dsp" sink_name=output source_name=input
+#add-autoload-sink output module-oss-mmap device="/dev/dsp" sink_name=output source_name=input
+#add-autoload-source input module-oss-mmap device="/dev/dsp" sink_name=output source_name=input
+#add-autoload-sink output module-alsa-sink sink_name=output
+#add-autoload-source input module-alsa-source source_name=input
+
+# Load several protocols
+load-module module-esound-protocol-unix
+#load-module module-esound-protocol-tcp
+load-module module-native-protocol-unix
+#load-module module-simple-protocol-tcp
+#load-module module-cli-protocol-unix
+
+# Load the CLI module
+load-module module-cli
+
+# Make some devices default
+set-default-sink output
+set-default-source input
+
+.nofail
+
+# Load something to the sample cache
+load-sample x11-bell /usr/share/sounds/KDE_Notify.wav
+load-sample-dir-lazy /usr/share/sounds/*.wav
+
+# Load X11 bell module
+load-module module-x11-bell sample=x11-bell sink=output
+
+# Publish connection data in the X11 root window
+load-module module-x11-publish
+
+#load-module module-pipe-source
+#load-module module-pipe-sink
diff --git a/src/daemon/default.pa.win32 b/src/daemon/default.pa.win32
new file mode 100644
index 00000000..3478adab
--- /dev/null
+++ b/src/daemon/default.pa.win32
@@ -0,0 +1,43 @@
+#
+# This file is part of polypaudio.
+#
+# polypaudio is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# polypaudio is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with polypaudio; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+
+# Load audio drivers statically
+
+load-module module-waveout sink_name=output source_name=input
+load-module module-null-sink
+
+# Load audio drivers automatically on access
+
+#add-autoload-sink output module-waveout sink_name=output source_name=input
+#add-autoload-source input module-waveout sink_name=output source_name=input
+
+# Load several protocols
+#load-module module-esound-protocol-tcp
+#load-module module-native-protocol-tcp
+#load-module module-simple-protocol-tcp
+#load-module module-cli-protocol-tcp
+
+# Make some devices default
+set-default-sink output
+set-default-source input
+
+.nofail
+
+# Load something to the sample cache
+load-sample x11-bell %WINDIR%\Media\ding.wav
+load-sample-dir-lazy %WINDIR%\Media\*.wav
diff --git a/src/daemon/esdcompat.sh.in b/src/daemon/esdcompat.sh.in
new file mode 100755
index 00000000..76023f52
--- /dev/null
+++ b/src/daemon/esdcompat.sh.in
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# $Id$
+#
+# This file is part of polypaudio.
+#
+# polypaudio is free software; you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# polypaudio is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with polypaudio; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+
+VERSION_STRING="@PACKAGE_NAME@ esd wrapper @PACKAGE_VERSION@"
+
+fail() {
+ echo "ERROR: $1"
+ exit 1
+}
+
+ARGS=" --log-target=syslog"
+
+for N in $(seq $#) ; do
+
+ case "$1" in
+ "")
+ ;;
+
+ -v|--version)
+ echo "$VERSION_STRING"
+ exit 0
+ ;;
+
+ -h|--help)
+ cat <<EOF
+$VERSION_STRING
+
+Usage: $0 [options]
+
+ -v --version print version information
+ -h --help show this help
+
+Ignored directives:
+
+ -tcp use tcp/ip sockets in addition to unix domain
+ -promiscuous don't require authentication
+ -d DEVICE force esd to use sound device DEVICE
+ -b run server in 8 bit sound mode
+ -r RATE run server at sample rate of RATE
+ -as SECS free audio device after SECS of inactivity
+ -unix use unix domain sockets instead of tcp/ip
+ -public make tcp/ip access public (other than localhost)
+ -terminate terminate esd daemone after last client exits
+ -nobeeps disable startup beeps
+ -trust start esd even if use of /tmp/.esd can be insecure
+ -port PORT listen for connections at PORT (only for tcp/ip)
+ -bind ADDRESS binds to ADDRESS (only for tcp/ip)
+EOF
+ exit 0
+ ;;
+
+ -spawnpid)
+ shift
+ ARGS="$ARGS '-Lmodule-esound-compat-spawnpid pid=$1'"
+ ;;
+
+ -spawnfd)
+ shift
+ ARGS="$ARGS '-Lmodule-esound-compat-spawnfd fd=$1'"
+ ;;
+
+ -unix|-b|-public|-terminate|-nobeeps|-trust|-tcp|-promiscuous)
+ # Ignore these commands
+ ;;
+
+ -d|-r|-as|-port|-bind)
+ # Ignore these commands and their arguments
+ shift
+
+ ;;
+
+ *)
+ fail "Unknown command: $1"
+ ;;
+ esac
+
+ shift
+done
+
+eval "exec '@POLYPAUDIO_BINARY@'$ARGS"